Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361072 - There is a duplicated item for the command "nodectl --help" in Terminal.
Summary: There is a duplicated item for the command "nodectl --help" in Terminal.
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: ovirt-node
Classification: oVirt
Component: UI
Version: 4.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: ovirt-4.0.2
: 4.0
Assignee: Ryan Barry
QA Contact: Wei Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-28 09:58 UTC by Wei Wang
Modified: 2016-08-23 11:12 UTC (History)
9 users (show)

Fixed In Version: ovirt-node-ng-4.0.3-0.20160802.0.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-23 11:12:55 UTC
oVirt Team: Node
fdeutsch: ovirt-4.0.z?
rule-engine: planning_ack?
fdeutsch: devel_ack+
ycui: testing_ack+


Attachments (Terms of Use)
log files (deleted)
2016-07-28 09:58 UTC, Wei Wang
no flags Details
ks file (deleted)
2016-07-28 10:03 UTC, Wei Wang
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 61625 master MERGED nodectl: remove an extraneous parser for init 2016-08-02 15:51:36 UTC
oVirt gerrit 61864 ovirt-4.0 MERGED nodectl: remove an extraneous parser for init 2016-08-02 15:51:48 UTC

Description Wei Wang 2016-07-28 09:58:15 UTC
Created attachment 1184977 [details]
log files

Description of problem:
There is a duplicated item for the command "nodectl --help" in Terminal.

Version-Release number of selected component (if applicable):
redhat-virtualization-host-4.0-20160727.1.x86_64
imgbased-0.7.3-0.1.el7ev.noarch
cockpit-0.114-2.el7.x86_64
cockpit-ovirt-dashboard-0.10.6-1.3.3.el7ev.noarch


How reproducible:
100%
Not Regression bug
Keywords: UI

Steps to Reproduce:
1. Install redhat-virtualization-host-4.0-20160727.1.x86_64 with kickstart file in attachment
2. Login cockpit website hostIP:9090 with root account
3. Select "Terminal" page
4. Input nodectl --help
5. Check the result


Actual results:
There is a duplicated item for the command "nodectl --help" in Terminal.
[root@dhcp-11-209 var]# nodectl --help
usage: nodectl [-h] [--version] [--debug] [--machine-readable]
               {init,info,update,rollback,check} ...

Use this application to manage your Node. The lify-cycle of a Node starts with
the initialization (init). This assumes a thin LVM setup, and will perform
some operations to allow later updates. After initializing you can inform
(info) yourself about a few important facts (build version, ...). Over time
you can retireve updates (update) if they are available. If one update is
getting you into a broken state, you can rollback (rollback).

optional arguments:
  -h, --help            show this help message and exit
  --version             show program's version number and exit
  --debug
  --machine-readable    Output in JSON for consumption by other utilities

Sub-commands:
  {init,info,update,rollback,check}
    init                Intialize the required layout
    info                Show informations about the image
    update              Perform an update if updates are available
    rollback            Rollback a previous image. Defaults to the latest.
    check               Show the status of the system
    init                Initialize an imgbased layout



Expected results:
There should not have duplicated item in nodectl help text.


Additional info:

Comment 1 Wei Wang 2016-07-28 10:03:26 UTC
Created attachment 1184978 [details]
ks file

Comment 2 Fabian Deutsch 2016-07-28 10:39:55 UTC
To me all of the output is the output is sane.

Could you please highlight the problem you are seeing?

Comment 3 Fabian Deutsch 2016-07-28 12:54:55 UTC
I see the duplicate entry now.

Comment 4 Wei Wang 2016-08-08 06:59:18 UTC
Test Version
RHVH-7.2-20160804.0-RHVH-x86_64-dvd1.iso
imgbased-0.7.4-0.1.el7ev.noarch
cockpit-0.114-2.el7.x86_64
cockpit-ovirt-dashboard-0.10.6-1.3.4.el7ev.noarch

Test Steps
1. Install RHVH-7.2-20160804.0-RHVH-x86_64-dvd1.iso
2. Login cockpit website hostIP:9090 with root account
3. Select "Terminal" page
4. Input nodectl --help
5. Check the result

Result:
There is not a duplicated item for the command "nodectl --help" in Terminal.


So the bug is fixed, change the status to VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.